Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.domain.impl.hibernate
Class RepoUser

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.user.domain.impl.hibernate.RepoUser

All Implemented Interfaces:
  AttributedObject, IdedObject, User

    public class RepoUser

extends java.lang.Object
implements User, IdedObject

Version:
  $Id: RepoUser.java 9116 2007-07-17 00:04:55Z sbirney $
Author:
  swood

Constructor Summary
`RepoUser()`

Method Summary
`void` | `addRole(Role newRole)`
`void` | `copyFromClient(java.lang.Object obj, PersistentObjectResolver resolver)`
`boolean` | `equals(java.lang.Object other)`
`java.util.List` | `getAttributes()`
`org.acegisecurity.GrantedAuthority[]` | `getAuthorities()`
`java.lang.String` | `getEmailAddress()`
`java.lang.String` | `getFullName()`
`long` | `getId()`
`java.lang.String` | `getPassword()` Only if we are using our own authentication
`java.util.Set` | `getRoles()`
`java.lang.String` | `getUsername()`
`int` | `hashCode()`
`boolean` | `isAccountNonExpired()`
`boolean` | `isAccountNonLocked()`
`boolean` | `isCredentialsNonExpired()`
`boolean` | `isEnabled()`
`boolean` | `isExternallyDefined()`
`void` | `removeRole(Role removedRole)`
`void` | `setAttributes(java.util.List attrs)`
`void` | `setEmailAddress(java.lang.String emailAddress)`
`void` | `setEnabled(boolean enabled)`
`void` | `setExternallyDefined(boolean externallyDefined)`
`void` | `setFullName(java.lang.String fullName)`
`void` | `setId(long id)`
`void` | `setPassword(java.lang.String password)`
`void` | `setRoles(java.util.Set newRoleSet)`
`void` | `setUsername(java.lang.String newUsername)`
`java.lang.Object` | `toClient(ResourceFactory clientMappingFactory)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepoUser

    public RepoUser()

Method Detail

### getId

    public long getId()

  Specified by:
    `getId` in interface `IdedObject`
  Returns:

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `IdedObject`

### getUsername

    public java.lang.String getUsername()

  Specified by:
    `getUsername` in interface `User`
  Returns:
    Returns the username. (non-Javadoc)
  See Also:
    `User.getUsername()`

### setUsername

    public void setUsername(java.lang.String newUsername)

  Specified by:
    `setUsername` in interface `User`

### getFullName

    public java.lang.String getFullName()

  Specified by:
    `getFullName` in interface `User`
  Returns:
    Returns the fullName. (non-Javadoc)
  See Also:
    `User.getFullName()`

### setFullName

    public void setFullName(java.lang.String fullName)

  Specified by:
    `setFullName` in interface `User`
  Parameters:
    `fullName` - The fullName to set.

### getEmailAddress

    public java.lang.String getEmailAddress()

  Specified by:
    `getEmailAddress` in interface `User`
  Returns:
    Returns the emailAddress.

### setEmailAddress

    public void setEmailAddress(java.lang.String emailAddress)

  Specified by:
    `setEmailAddress` in interface `User`
  Parameters:
    `emailAddress` - The emailAddress to set.

### getRoles

    public java.util.Set getRoles()

  Specified by:
    `getRoles` in interface `User`
  Returns:
    Set

### setRoles

    public void setRoles(java.util.Set newRoleSet)

  Specified by:
    `setRoles` in interface `User`

### addRole

    public void addRole(Role newRole)

  Specified by:
    `addRole` in interface `User`

### removeRole

    public void removeRole(Role removedRole)

  Specified by:
    `removeRole` in interface `User`

### getAttributes

    public java.util.List getAttributes()

  Specified by:
    `getAttributes` in interface `AttributedObject`
  Returns:
    List of Attributes for the object

### setAttributes

    public void setAttributes(java.util.List attrs)

  Specified by:
    `setAttributes` in interface `AttributedObject`

### getAuthorities

    public org.acegisecurity.GrantedAuthority[] getAuthorities()

### getPassword

    public java.lang.String getPassword()

  Description copied from interface: `User`
  Only if we are using our own authentication

  Specified by:
    `getPassword` in interface `User`
  Returns:
  See Also:
    `UserDetails.getPassword()`

### setPassword

    public void setPassword(java.lang.String password)

  Specified by:
    `setPassword` in interface `User`
  Parameters:
    `password` - The password to set.

### isAccountNonExpired

    public boolean isAccountNonExpired()

### isAccountNonLocked

    public boolean isAccountNonLocked()

### isCredentialsNonExpired

    public boolean isCredentialsNonExpired()

### isExternallyDefined

    public boolean isExternallyDefined()

  Specified by:
    `isExternallyDefined` in interface `User`
  See Also:
    `User.isExternallyDefined()`

### setExternallyDefined

    public void setExternallyDefined(boolean externallyDefined)

  Specified by:
    `setExternallyDefined` in interface `User`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `User`
  See Also:
    `UserDetails.isEnabled()`

### setEnabled

    public void setEnabled(boolean enabled)

  Specified by:
    `setEnabled` in interface `User`
  Parameters:
    `enabled` - The enabled to set.

### copyFromClient

    public void copyFromClient(java.lang.Object obj,
                               PersistentObjectResolver resolver)

  Specified by:
    `copyFromClient` in interface `IdedObject`

### toClient

    public java.lang.Object toClient(ResourceFactory clientMappingFactory)

  Specified by:
    `toClient` in interface `IdedObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.